#!/bin/bash

set -x
virt="vir01"
npuID=`npu-smi info -m | grep Ascend | awk '{print $1}'`
chipID=`npu-smi info -m | grep Ascend | awk '{print $2}'`

#query vnpu
totalvnpu=`npu-smi info -t info-vnpu -i $npuID -c $chipID | grep "Total number of vnpu" | awk -F : '{print $2}' | awk '{print $1}'`
if [ 0 == $totalvnpu ];
  then
    npu-smi set -t vnpu-mode -d 0 #0 for container, 1 for vm
    for i in {1..7}; do npu-smi set -t create-vnpu -i $npuID -c $chipID -f $virt ;done
    npu-smi set -t vnpu-cfg-recover -d 1 #keep vnpu after reboot node
else
  echo "current total vnpu is $totalvnpu, no need recreate"
fi
set +x
